Package org.kapott.hbci.datatypes

# Class SyntaxCode

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxAN
org.kapott.hbci.datatypes.SyntaxCode

public class SyntaxCode extends SyntaxAN

## Constructor Summary

Constructors
Constructor
Description
`SyntaxCode(StringBuffer res, int minsize, int maxsize)`
`SyntaxCode(String x, int minlen, int maxlen)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(StringBuffer res, int minsize, int maxsize)`
`void`
`init(String x, int minlen, int maxlen)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxAN

`init, quote, toString, unquote`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxCode

public SyntaxCode(String x, int minlen, int maxlen)

### SyntaxCode

public SyntaxCode(StringBuffer res, int minsize, int maxsize)

## Method Details

### init

public void init(String x, int minlen, int maxlen)

Overrides:
  `init` in class `SyntaxAN`

### init

public void init(StringBuffer res, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxAN`